For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all documents in a table.
      • POSTCreate a document in a table.
      • POSTUpdate multiple documents in a table.
      • GETGet a document by ID.
      • PUTUpdate a document by ID.
      • DELDelete a document by ID.
      • POSTDelete multiple document by ID.
LogoLogo
Scout DocsAccess Scout
EndpointsDocuments

Delete multiple document by ID.

Beta
POST
https://api.scoutos.com/v2/collections/:collection_id/tables/:table_id/documents/delete
POST
/v2/collections/:collection_id/tables/:table_id/documents/delete
$curl -X POST https://api.scoutos.com/v2/collections/collection_id/tables/table_id/documents/delete \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> "doc_12345abcde"
>]'
1{
2 "detail": "Documents successfully deleted.",
3 "status_code": 200
4}
Delete documents given a list of document ids.
Was this page helpful?
Previous

Get all supported Sources Types to pull data from

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequired
table_idstringRequired

Request

This endpoint expects a list of strings.

Response

Successful Response
detailstring
status_codeinteger

Errors

422
Unprocessable Entity Error